﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.Windows.Shared;

namespace DockingManagerMVVM
{
    public class CustomRibbonTab : NotificationObject
    {
        private string _caption;

        public string Caption
        {
            get { return _caption; }
            set 
            { 
                _caption = value;
                RaisePropertyChanged("Caption");
            }
        }

        private ObservableCollection<CustomRibbonBar> _ribbonbars;

        public ObservableCollection<CustomRibbonBar> RibbonBars
        {
            get { return _ribbonbars; }
            set { _ribbonbars = value; }
        }

        public CustomRibbonTab()
        {
            RibbonBars = new ObservableCollection<CustomRibbonBar>();
        }
        
    }

    public class CustomRibbonBar:NotificationObject
    {
        private string _header;

        public string Header
        {
            get { return _header; }
            set 
            { 
                _header = value;
                RaisePropertyChanged("Header");
            }
        }

        private ObservableCollection<CustomRibbonItem> _ribbonitems;

        public ObservableCollection<CustomRibbonItem> RibbonItems
        {
            get { return _ribbonitems; }
            set { _ribbonitems = value; }
        }

        public CustomRibbonBar()
        {
            RibbonItems = new ObservableCollection<CustomRibbonItem>();
        }
        
    }

    public class CustomRibbonItem:NotificationObject
    {
        private string _label;

        public string Label
        {
            get { return _label; }
            set 
            { 
                _label = value;
                RaisePropertyChanged("Label");
            }
        }

        public bool IsLarge { get; set; }
        public bool IsSplitButton { get; set; }
        
    }
}
